WayloAIWaylo Docs
APIReferenceDocuments

Search documents

GET
/documents/search

Nearest embedded chunks to a query, by cosine similarity, within one workspace.

Access: workspace_viewer · API key documents:read

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Query Parameters

workspaceId*string
Formatuuid
query*string
Lengthlength <= 1000
documentIds?array<>
limit?number
Range1 <= value <= 50
Default10

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.poc.app.waylovoice.ai/documents/search?workspaceId=497f6eca-6276-4993-bfeb-53cbbbba6f08&query=string' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
[  {    "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052",    "name": "string",    "filename": "string",    "chunkIndex": 0,    "content": "string",    "score": 0  }]